Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit hplip for openSUSE:Factory
Hello community,

here is the log from the commit of package hplip for openSUSE:Factory checked
in at 2019-04-17 10:03:28
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/hplip (Old)
and /work/SRC/openSUSE:Factory/.hplip.new.17052 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "hplip"

Wed Apr 17 10:03:28 2019 rev:122 rq:692709 version:3.18.6

Changes:
--------
--- /work/SRC/openSUSE:Factory/hplip/hplip.changes 2019-03-14
14:52:47.799784192 +0100
+++ /work/SRC/openSUSE:Factory/.hplip.new.17052/hplip.changes 2019-04-17
10:03:32.502440722 +0200
@@ -1,0 +2,7 @@
+Tue Apr 9 20:11:02 UTC 2019 - Martin Wilck <mwilck@xxxxxxxx>
+
+- Remove dependency on python3-pillow on SLE (bsc#1131613), and
+ remove the hp-scan tool that needs it. "scanimage" must be used
+ instead.
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ hplip.spec ++++++
--- /var/tmp/diff_new_pack.IkPXqy/_old 2019-04-17 10:03:34.386442991 +0200
+++ /var/tmp/diff_new_pack.IkPXqy/_new 2019-04-17 10:03:34.390442996 +0200
@@ -165,7 +165,11 @@
# Therefore the hplip main package which is intended
# to get "all the HPLIP stuff" installed has the RPM requirement:
Requires: %{pymod %gobject}
+
+# SLE does not provide python-pillow (PIL) (bsc#1131613)
+%if 0%{?is_opensuse}
Requires: %{pymod Pillow}
+%endif
Requires: ghostscript

%if %use_qt5
@@ -647,6 +651,18 @@
# Install the man page for /usr/bin/hpijs:
install -d %{buildroot}%{_mandir}/man1
install -m 644 %{SOURCE102} %{buildroot}%{_mandir}/man1/
+
+# SLE does not provide python-pillow (PIL) (bsc#1131613)
+%if !0%{?is_opensuse}
+rm -f %{buildroot}/usr/share/hplip/scan.py %{buildroot}%{_bindir}/hp-scan
+cat >%{buildroot}%{_bindir}/hp-scan <<EOF
+#! /bin/sh
+echo 'Please use "scanimage" from the "sane-backends" package instead.' >&2
+exit 1
+EOF
+chmod a+x %{buildroot}%{_bindir}/hp-scan
+%endif
+
# Run fdupes:
# The RPM macro fdupes runs /usr/bin/fdupes that links files with identical
content.
# Never run fdupes carelessly over the whole buildroot directory





< Previous Next >
This Thread
  • No further messages